package quake.quake_tensorflow_face_rec.utils;/*
* FileName: DataConvertion
 4 * Author: Administrator
 5 * Date: 2021/5/11 20:41
 6 * Description: 
*/

import android.content.Context;
import android.util.TypedValue;

public class DataConvertion {

    public static int dp2int(Context context,int dp){
        return ((int) TypedValue.applyDimension(TypedValue.COMPLEX_UNIT_DIP, dp, context.getResources().getDisplayMetrics()));
    }
    public static int sp2int(Context context,int sp){
        return ((int) TypedValue.applyDimension(TypedValue.COMPLEX_UNIT_SP, sp, context.getResources().getDisplayMetrics()));
    }

    public static  int dip2px(Context context, float dipValue)

    {

        float m=context.getResources().getDisplayMetrics().density ;

        return (int)(dipValue * m + 0.5f) ;

    }



    public static int px2dip(Context context, float pxValue)

    {

        float m=context.getResources().getDisplayMetrics().density;

        return (int)(pxValue / m + 0.5f) ;

    }

    //字符串转数组
    public static String[] string2Array(String str, String regex) {
        String arr[] = str.split(regex);  //以regex为分割点依次向不同的数组下标里存放数据，逗号不会被存到数组里，0存到arr[0],12存到arr[1],3存到arr[2]
//        String arr[] = str.split("");//将字符串中所有字符都存到数组里，0,12,3代表一个元素，存到arr[0]中
        return arr;  //[0, 12, 3]
    }

    //删除指定字符
    public static String deleteString(String str, char delChar) {
        String delStr = "";
        char[] Bytes = str.toCharArray();
        int iSize = Bytes.length;
        for (int i = Bytes.length - 1; i >= 0; i--) {
            if (Bytes[i] == delChar) {
                for (int j = i; j < iSize - 1; j++) {
                    Bytes[j] = Bytes[j + 1];
                }
                iSize--;
            }
        }
        for (int i = 0; i < iSize; i++) {
            delStr += Bytes[i];
        }
        return delStr;
    }
}
