#import "QuakeTensorflowFaceRecPlugin.h"

@implementation QuakeTensorflowFaceRecPlugin
+ (void)registerWithRegistrar:(NSObject<FlutterPluginRegistrar>*)registrar {
  FlutterMethodChannel* channel = [FlutterMethodChannel
      methodChannelWithName:@"quake_tensorflow_face_rec"
            binaryMessenger:[registrar messenger]];
  QuakeTensorflowFaceRecPlugin* instance = [[QuakeTensorflowFaceRecPlugin alloc] init];
  [registrar addMethodCallDelegate:instance channel:channel];
}

- (void)handleMethodCall:(FlutterMethodCall*)call result:(FlutterResult)result {
  if ([@"getPlatformVersion" isEqualToString:call.method]) {
    result([@"iOS " stringByAppendingString:[[UIDevice currentDevice] systemVersion]]);
  } else {
    result(FlutterMethodNotImplemented);
  }
}

@end
