/**
 * Copyright (C), 2021-2021, 夸克科技有限公司
 * FileName: IBasePresenter
 * Author: Administrator
 * Date: 2021/10/19 11:45
 * Description:
 * History:
 * <author> <time> <version> <desc>
 * 作者姓名 修改时间 版本号 描述
 */
package quake.quake_tensorflow_face_rec.baseMvp;

/**
 * @ClassName: IBasePresenter
 * @Description: 基础的Presenter接口，定义attach方法进行View关联，detach方法回收销毁资源
 * @Author: Administrator
 * @Date: 2021/10/19 11:45
 */
public interface IBasePresenter<V> {
    void attach(V view);

    void detach();
}